Index: trunk/Cocoa/Pester/Source/PSAlarmsController.h
===================================================================
--- trunk/Cocoa/Pester/Source/PSAlarmsController.h	(revision 26)
+++ trunk/Cocoa/Pester/Source/PSAlarmsController.h	(revision 26)
@@ -0,0 +1,20 @@
+//
+//  PSAlarmsController.h
+//  Pester
+//
+//  Created by Nicholas Riley on Fri Oct 11 2002.
+//  Copyright (c) 2002 Nicholas Riley. All rights reserved.
+//
+
+#import <AppKit/AppKit.h>
+#import "PSAlarms.h"
+
+@interface PSAlarmsController : NSWindowController {
+    IBOutlet NSTableView *tableView;
+    IBOutlet NSButton *removeButton;
+    PSAlarms *alarms;
+}
+
+- (IBAction)remove:(id)sender;
+
+@end
Index: trunk/Cocoa/Pester/Source/PSAlarmsController.m
===================================================================
--- trunk/Cocoa/Pester/Source/PSAlarmsController.m	(revision 26)
+++ trunk/Cocoa/Pester/Source/PSAlarmsController.m	(revision 26)
@@ -0,0 +1,107 @@
+//
+//  PSAlarmsController.m
+//  Pester
+//
+//  Created by Nicholas Riley on Fri Oct 11 2002.
+//  Copyright (c) 2002 Nicholas Riley. All rights reserved.
+//
+
+#import "PSAlarmsController.h"
+#import "PSAlarm.h"
+#import "NSTableView-NJRExtensions.h"
+
+
+@implementation PSAlarmsController
+
+- (id)init;
+{
+    if ( (self = [super initWithWindowNibName: @"Alarms"]) != nil) {
+        alarms = [PSAlarms allAlarms];
+        [[self window] center];
+        [[NSNotificationCenter defaultCenter] addObserver: self selector: @selector(alarmsChanged) name: PSAlarmsDidChangeNotification object: alarms];
+        [tableView setAutosaveName: @"Alarm list"];
+        [tableView setAutosaveTableColumns: YES];
+        [tableView noteNumberOfRowsChanged];
+        [[self window] makeFirstResponder: tableView];
+    }
+    return self;
+}
+
+- (void)alarmsChanged; // XXX fix autoselection to be more reasonable, see whatever I did in that _Learning Cocoa_ project I think
+{
+    [tableView reloadData];
+    [tableView deselectAll: self];
+}
+
+- (IBAction)remove:(id)sender;
+{
+    [alarms removeAlarmsAtIndices: [[tableView selectedRowEnumerator] allObjects]];
+}
+
+@end
+
+@implementation PSAlarmsController (NSTableDataSource)
+
+- (int)numberOfRowsInTableView:(NSTableView *)tableView;
+{
+    return [alarms alarmCount];
+}
+
+- (id)tableView:(NSTableView *)tableView objectValueForTableColumn:(NSTableColumn *)tableColumn row:(int)row;
+{
+    PSAlarm *alarm = [alarms alarmAtIndex: row];
+
+    if ([[tableColumn identifier] isEqualToString: @"message"]) return [alarm message];
+    else {
+        NSCalendarDate *date = [alarm date];
+        if ([[tableColumn identifier] isEqualToString: @"date"]) return [date descriptionWithCalendarFormat: [[NSUserDefaults standardUserDefaults] stringForKey: NSShortDateFormatString]];
+        if ([[tableColumn identifier] isEqualToString: @"time"]) {
+            if (date == nil) return @"ÇexpiredÈ";
+            return [date descriptionWithCalendarFormat: @"%1I:%M:%S%p"]; // XXX regular format doesn't work
+        }
+    }
+    return nil;
+}
+@end
+
+@implementation PSAlarmsController (NSTableViewNotifications)
+
+- (void)tableViewSelectionDidChange:(NSNotification *)aNotification;
+{
+    [removeButton setEnabled: ([tableView numberOfSelectedRows] != 0)];
+}
+
+@end
+
+@implementation PSAlarmsController (NSWindowDelegate)
+
+- (NSRect)windowWillUseStandardFrame:(NSWindow *)sender defaultFrame:(NSRect)defaultFrame;
+{
+    NSWindow *window = [tableView window];
+    NSRect frame = [window frame];
+    NSScrollView *scrollView = [tableView enclosingScrollView];
+    float displayedHeight = [[scrollView contentView] bounds].size.height;
+    float heightChange = [[scrollView documentView] bounds].size.height - displayedHeight;
+    float heightExcess;
+
+    if (heightChange >= 0 && heightChange <= 1) {
+        // either the window is already optimal size, or it's too big
+        float rowHeight = [tableView cellHeight];
+        heightChange = (rowHeight * [tableView numberOfRows]) - displayedHeight;
+    }
+
+    frame.size.height += heightChange;
+
+    if ( (heightExcess = [window minSize].height - frame.size.height) > 1 ||
+         (heightExcess = [window maxSize].height - frame.size.height) < 1) {
+        heightChange += heightExcess;
+        frame.size.height += heightExcess;
+    }
+
+    frame.origin.y -= heightChange;
+
+    return frame;
+}
+
+@end
+
Index: trunk/Cocoa/Pester/Source/PSApplication.h
===================================================================
--- trunk/Cocoa/Pester/Source/PSApplication.h	(revision 26)
+++ trunk/Cocoa/Pester/Source/PSApplication.h	(revision 26)
@@ -0,0 +1,19 @@
+//
+//  PSApplication.h
+//  Pester
+//
+//  Created by Nicholas Riley on Fri Oct 11 2002.
+//  Copyright (c) 2002 Nicholas Riley. All rights reserved.
+//
+
+#import <AppKit/AppKit.h>
+
+@class PSAlarmsController;
+
+@interface PSApplication : NSApplication {
+    PSAlarmsController *alarmsController;
+}
+
+- (IBAction)orderFrontAlarmsPanel:(id)sender;
+
+@end
Index: trunk/Cocoa/Pester/Source/PSApplication.m
===================================================================
--- trunk/Cocoa/Pester/Source/PSApplication.m	(revision 26)
+++ trunk/Cocoa/Pester/Source/PSApplication.m	(revision 26)
@@ -0,0 +1,32 @@
+//
+//  PSApplication.m
+//  Pester
+//
+//  Created by Nicholas Riley on Fri Oct 11 2002.
+//  Copyright (c) 2002 Nicholas Riley. All rights reserved.
+//
+
+#import "PSApplication.h"
+#import "PSAlarmsController.h"
+#import "PSAlarmNotifierController.h"
+#import "PSAlarm.h"
+#import "PSAlarms.h"
+
+@implementation PSApplication
+
+- (void)finishLaunching;
+{
+    [[NSNotificationCenter defaultCenter] addObserver: [PSAlarmNotifierController class] selector: @selector(controllerWithTimerExpiredNotification:) name: PSAlarmTimerExpiredNotification object: nil];
+    [PSAlarms setUp];
+    [super finishLaunching];
+}
+
+- (IBAction)orderFrontAlarmsPanel:(id)sender;
+{
+    if (alarmsController == nil) {
+        alarmsController = [[PSAlarmsController alloc] init];
+    }
+    [alarmsController showWindow: self];
+}
+
+@end
Index: trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser	(revision 24)
+++ trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser	(revision 26)
@@ -6,7 +6,7 @@
 		activeTarget = 29B97326FDCFA39411CA2CEA;
 		addToTargets = (
-			29B97326FDCFA39411CA2CEA,
 		);
 		breakpoints = (
+			F596730D0355CFA301407038,
 		);
 		executables = (
@@ -14,126 +14,5 @@
 		);
 		perUserDictionary = {
-			PBXPerProjectTemplateStateSaveDate = 55895130;
-			"PBXTemplateGeometry-F5CA7ECB015C094F0DCA290F" = {
-				ContentSize = "{668, 621}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 0}, {668, 621}}";
-					Split0 = {
-						Collapsed = NO;
-						Frame = "{{0, 0}, {668, 621}}";
-						Split0 = {
-							Frame = "{{0, 0}, {668, 621}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {484, 208}}";
-								Split0 = {
-									Frame = "{{0, 24}, {484, 184}}";
-									Split0 = {
-										Frame = "{{0, 0}, {236, 184}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											62.123,
-										);
-										Frame = "{{245, 0}, {239, 184}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {484, 208}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab1 = {
-							Frame = "{{0, 0}, {664, 208}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {664, 208}}";
-							};
-						};
-						Tab2 = {
-							BuildMessageFrame = "{{0, 0}, {666, 43}}";
-							BuildTranscriptFrame = "{{0, 52}, {666, 0}}";
-							Frame = "{{0, 0}, {664, 50}}";
-						};
-						Tab3 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 4;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {313, 531}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							280,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 557}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 5;
-					TabsVisible = NO;
-				};
-				StatusViewVisible = NO;
-				Template = F5CA7ECB015C094F0DCA290F;
-				ToolbarVisible = NO;
-				WindowLocation = "{48, 349}";
-			};
+			PBXPerProjectTemplateStateSaveDate = 56157147;
 			PBXWorkspaceContents = (
 				{
@@ -141,7 +20,355 @@
 						Split0 = {
 							Split0 = {
+								NavContent0 = {
+									bookmark = F59DD4910358E3F2017318D0;
+									history = (
+										F59B967803550EF801154278,
+										F596730F0355D73B01407038,
+										F52244F10356062A0129AC23,
+										F52244F20356062A0129AC23,
+										F52244F30356062A0129AC23,
+										F560E319035790B201A4E466,
+										F560E31A035790B201A4E466,
+										F560E31B035790B201A4E466,
+										F560E31E035790B201A4E466,
+										F560E320035790B201A4E466,
+										F560E321035790B201A4E466,
+										F560E322035790B201A4E466,
+										F560E324035790B201A4E466,
+										F560E326035790B201A4E466,
+										F560E32D035790B201A4E466,
+										F5DFBF0C0358010901661E33,
+										F5DFBF0D0358010901661E33,
+										F5DFBF0E0358010901661E33,
+										F5DFBF0F0358010901661E33,
+										F5DFBF120358010901661E33,
+										F5DFBF130358010901661E33,
+										F5DFBF140358010901661E33,
+										F5DFBF150358010901661E33,
+										F5DFBF170358010901661E33,
+										F5DFBF1C0358010901661E33,
+										F59DD43F03588762017318D0,
+										F59DD4540358BA75017318D0,
+										F59DD4550358BA75017318D0,
+										F59DD4560358BA75017318D0,
+										F59DD4570358BA75017318D0,
+										F59DD4580358BA75017318D0,
+										F59DD4590358BA75017318D0,
+										F59DD45A0358BA75017318D0,
+										F59DD45B0358BA75017318D0,
+										F59DD45C0358BA75017318D0,
+										F59DD45D0358BA75017318D0,
+										F59DD45E0358BA75017318D0,
+										F59DD45F0358BA75017318D0,
+										F59DD4600358BA75017318D0,
+										F59DD4610358BA75017318D0,
+										F59DD4620358BA75017318D0,
+										F59DD4630358BA75017318D0,
+										F59DD4640358BA75017318D0,
+										F59DD48D0358E3F2017318D0,
+										F59DD48E0358E3F2017318D0,
+									);
+									prevStack = (
+										F59B967B03550EF801154278,
+										F59B967C03550EF801154278,
+										F59B967D03550EF801154278,
+										F59B967E03550EF801154278,
+										F59B967F03550EF801154278,
+										F59B968003550EF801154278,
+										F59B968103550EF801154278,
+										F59B968203550EF801154278,
+										F59B968303550EF801154278,
+										F59B968403550EF801154278,
+										F59B968503550EF801154278,
+										F59B968603550EF801154278,
+										F59B968703550EF801154278,
+										F59B968803550EF801154278,
+										F59B968903550EF801154278,
+										F59B968A03550EF801154278,
+										F59B968B03550EF801154278,
+										F59B968C03550EF801154278,
+										F59B968D03550EF801154278,
+										F59B968E03550EF801154278,
+										F59B968F03550EF801154278,
+										F59B969003550EF801154278,
+										F59673150355D73B01407038,
+										F59673160355D73B01407038,
+										F59673170355D73B01407038,
+										F59673180355D73B01407038,
+										F59673190355D73B01407038,
+										F596731A0355D73B01407038,
+										F596731B0355D73B01407038,
+										F596731C0355D73B01407038,
+										F596731D0355D73B01407038,
+										F596731E0355D73B01407038,
+										F596731F0355D73B01407038,
+										F59673200355D73B01407038,
+										F59673210355D73B01407038,
+										F59673220355D73B01407038,
+										F59673230355D73B01407038,
+										F59673240355D73B01407038,
+										F59673250355D73B01407038,
+										F59673260355D73B01407038,
+										F59673270355D73B01407038,
+										F59673280355D73B01407038,
+										F59673290355D73B01407038,
+										F596732A0355D73B01407038,
+										F596732B0355D73B01407038,
+										F596732C0355D73B01407038,
+										F596732D0355D73B01407038,
+										F596732E0355D73B01407038,
+										F596732F0355D73B01407038,
+										F59673300355D73B01407038,
+										F59673310355D73B01407038,
+										F59673320355D73B01407038,
+										F59673330355D73B01407038,
+										F59673340355D73B01407038,
+										F59673350355D73B01407038,
+										F59673360355D73B01407038,
+										F59673370355D73B01407038,
+										F59673380355D73B01407038,
+										F59673390355D73B01407038,
+										F596733A0355D73B01407038,
+										F596733B0355D73B01407038,
+										F596733C0355D73B01407038,
+										F596733D0355D73B01407038,
+										F596733E0355D73B01407038,
+										F596733F0355D73B01407038,
+										F59673400355D73B01407038,
+										F59673410355D73B01407038,
+										F59673420355D73B01407038,
+										F59673440355D73B01407038,
+										F59673450355D73B01407038,
+										F59673460355D73B01407038,
+										F560E333035790B201A4E466,
+										F560E334035790B201A4E466,
+										F560E335035790B201A4E466,
+										F560E336035790B201A4E466,
+										F560E337035790B201A4E466,
+										F560E338035790B201A4E466,
+										F560E339035790B201A4E466,
+										F560E33A035790B201A4E466,
+										F560E33B035790B201A4E466,
+										F560E33C035790B201A4E466,
+										F560E33D035790B201A4E466,
+										F560E33E035790B201A4E466,
+										F560E33F035790B201A4E466,
+										F560E340035790B201A4E466,
+										F560E341035790B201A4E466,
+										F560E342035790B201A4E466,
+										F560E343035790B201A4E466,
+										F560E344035790B201A4E466,
+										F560E345035790B201A4E466,
+										F560E346035790B201A4E466,
+										F560E347035790B201A4E466,
+										F560E348035790B201A4E466,
+										F560E349035790B201A4E466,
+										F560E34A035790B201A4E466,
+										F560E34B035790B201A4E466,
+										F560E34C035790B201A4E466,
+										F560E34D035790B201A4E466,
+										F560E34E035790B201A4E466,
+										F560E34F035790B201A4E466,
+										F560E350035790B201A4E466,
+										F560E351035790B201A4E466,
+										F560E352035790B201A4E466,
+										F560E353035790B201A4E466,
+										F560E354035790B201A4E466,
+										F560E355035790B201A4E466,
+										F560E356035790B201A4E466,
+										F560E357035790B201A4E466,
+										F560E358035790B201A4E466,
+										F560E359035790B201A4E466,
+										F560E35A035790B201A4E466,
+										F560E35B035790B201A4E466,
+										F560E35C035790B201A4E466,
+										F560E35D035790B201A4E466,
+										F560E35E035790B201A4E466,
+										F560E35F035790B201A4E466,
+										F560E360035790B201A4E466,
+										F560E361035790B201A4E466,
+										F560E362035790B201A4E466,
+										F560E363035790B201A4E466,
+										F560E364035790B201A4E466,
+										F560E365035790B201A4E466,
+										F560E366035790B201A4E466,
+										F560E367035790B201A4E466,
+										F560E368035790B201A4E466,
+										F560E369035790B201A4E466,
+										F560E36A035790B201A4E466,
+										F560E36B035790B201A4E466,
+										F560E36C035790B201A4E466,
+										F560E36D035790B201A4E466,
+										F560E36E035790B201A4E466,
+										F560E36F035790B201A4E466,
+										F560E370035790B201A4E466,
+										F560E371035790B201A4E466,
+										F560E372035790B201A4E466,
+										F560E373035790B201A4E466,
+										F560E374035790B201A4E466,
+										F560E375035790B201A4E466,
+										F560E376035790B201A4E466,
+										F560E377035790B201A4E466,
+										F560E378035790B201A4E466,
+										F560E379035790B201A4E466,
+										F560E37A035790B201A4E466,
+										F560E37B035790B201A4E466,
+										F560E37C035790B201A4E466,
+										F560E37D035790B201A4E466,
+										F560E37E035790B201A4E466,
+										F560E37F035790B201A4E466,
+										F560E380035790B201A4E466,
+										F560E381035790B201A4E466,
+										F560E382035790B201A4E466,
+										F560E383035790B201A4E466,
+										F560E384035790B201A4E466,
+										F560E385035790B201A4E466,
+										F560E386035790B201A4E466,
+										F560E387035790B201A4E466,
+										F560E388035790B201A4E466,
+										F560E389035790B201A4E466,
+										F560E38A035790B201A4E466,
+										F560E38B035790B201A4E466,
+										F560E38C035790B201A4E466,
+										F560E38D035790B201A4E466,
+										F560E38E035790B201A4E466,
+										F560E38F035790B201A4E466,
+										F560E390035790B201A4E466,
+										F560E391035790B201A4E466,
+										F560E392035790B201A4E466,
+										F560E393035790B201A4E466,
+										F560E394035790B201A4E466,
+										F560E395035790B201A4E466,
+										F560E396035790B201A4E466,
+										F560E397035790B201A4E466,
+										F560E398035790B201A4E466,
+										F560E399035790B201A4E466,
+										F560E39A035790B201A4E466,
+										F560E39B035790B201A4E466,
+										F560E39C035790B201A4E466,
+										F560E39D035790B201A4E466,
+										F560E39E035790B201A4E466,
+										F560E39F035790B201A4E466,
+										F560E3A0035790B201A4E466,
+										F560E3A1035790B201A4E466,
+										F560E3A2035790B201A4E466,
+										F560E3A3035790B201A4E466,
+										F560E3A4035790B201A4E466,
+										F560E3A5035790B201A4E466,
+										F560E3A6035790B201A4E466,
+										F560E3A7035790B201A4E466,
+										F560E3A8035790B201A4E466,
+										F560E3A9035790B201A4E466,
+										F560E3AA035790B201A4E466,
+										F560E3AB035790B201A4E466,
+										F560E3AC035790B201A4E466,
+										F560E3AD035790B201A4E466,
+										F560E3AE035790B201A4E466,
+										F560E3AF035790B201A4E466,
+										F560E3B0035790B201A4E466,
+										F560E3B1035790B201A4E466,
+										F560E3B2035790B201A4E466,
+										F560E3B3035790B201A4E466,
+										F560E3B4035790B201A4E466,
+										F560E3B5035790B201A4E466,
+										F560E3B6035790B201A4E466,
+										F560E3B7035790B201A4E466,
+										F560E3B8035790B201A4E466,
+										F560E3B9035790B201A4E466,
+										F560E3BA035790B201A4E466,
+										F560E3BB035790B201A4E466,
+										F560E3BC035790B201A4E466,
+										F560E3BD035790B201A4E466,
+										F560E3BE035790B201A4E466,
+										F5DFBF220358010901661E33,
+										F5DFBF230358010901661E33,
+										F5DFBF240358010901661E33,
+										F5DFBF250358010901661E33,
+										F5DFBF260358010901661E33,
+										F5DFBF270358010901661E33,
+										F5DFBF280358010901661E33,
+										F5DFBF290358010901661E33,
+										F5DFBF2A0358010901661E33,
+										F5DFBF2B0358010901661E33,
+										F5DFBF2C0358010901661E33,
+										F5DFBF2D0358010901661E33,
+										F5DFBF2E0358010901661E33,
+										F5DFBF2F0358010901661E33,
+										F5DFBF300358010901661E33,
+										F5DFBF310358010901661E33,
+										F5DFBF320358010901661E33,
+										F5DFBF330358010901661E33,
+										F5DFBF340358010901661E33,
+										F5DFBF350358010901661E33,
+										F5DFBF360358010901661E33,
+										F5DFBF370358010901661E33,
+										F5DFBF380358010901661E33,
+										F5DFBF390358010901661E33,
+										F5DFBF3A0358010901661E33,
+										F5DFBF3B0358010901661E33,
+										F5DFBF3C0358010901661E33,
+										F5DFBF3D0358010901661E33,
+										F5DFBF3E0358010901661E33,
+										F5DFBF3F0358010901661E33,
+										F5DFBF400358010901661E33,
+										F5DFBF410358010901661E33,
+										F5DFBF420358010901661E33,
+										F5DFBF430358010901661E33,
+										F5DFBF440358010901661E33,
+										F5DFBF450358010901661E33,
+										F5DFBF460358010901661E33,
+										F5DFBF470358010901661E33,
+										F5DFBF480358010901661E33,
+										F5DFBF490358010901661E33,
+										F5DFBF4A0358010901661E33,
+										F5DFBF4B0358010901661E33,
+										F5DFBF4C0358010901661E33,
+										F59DD44503588762017318D0,
+										F59DD44603588762017318D0,
+										F59DD44703588762017318D0,
+										F59DD44803588762017318D0,
+										F59DD44903588762017318D0,
+										F59DD44A03588762017318D0,
+										F59DD44B03588762017318D0,
+										F59DD4650358BA75017318D0,
+										F59DD4660358BA75017318D0,
+										F59DD4680358BA75017318D0,
+										F59DD4690358BA75017318D0,
+										F59DD46A0358BA75017318D0,
+										F59DD46B0358BA75017318D0,
+										F59DD46C0358BA75017318D0,
+										F59DD46D0358BA75017318D0,
+										F59DD46E0358BA75017318D0,
+										F59DD46F0358BA75017318D0,
+										F59DD4700358BA75017318D0,
+										F59DD4710358BA75017318D0,
+										F59DD4720358BA75017318D0,
+										F59DD4730358BA75017318D0,
+										F59DD4740358BA75017318D0,
+										F59DD4750358BA75017318D0,
+										F59DD4760358BA75017318D0,
+										F59DD4770358BA75017318D0,
+										F59DD4780358BA75017318D0,
+										F59DD4790358BA75017318D0,
+										F59DD47A0358BA75017318D0,
+										F59DD47B0358BA75017318D0,
+										F59DD47C0358BA75017318D0,
+										F59DD47D0358BA75017318D0,
+										F59DD47E0358BA75017318D0,
+										F59DD47F0358BA75017318D0,
+										F59DD4800358BA75017318D0,
+										F59DD4810358BA75017318D0,
+										F59DD4820358BA75017318D0,
+										F59DD4830358BA75017318D0,
+										F59DD4840358BA75017318D0,
+										F59DD4850358BA75017318D0,
+										F59DD4860358BA75017318D0,
+										F59DD48F0358E3F2017318D0,
+										F59DD4900358E3F2017318D0,
+									);
+								};
 								NavCount = 1;
 								NavGeometry0 = {
-									Frame = "{{0, 0}, {150, 530}}";
+									Frame = "{{0, 0}, {619, 546}}";
 									NavBarVisible = YES;
 								};
@@ -169,5 +396,8 @@
 							OptionsSetName = "Hierarchy, all classes";
 						};
-						TabCount = 5;
+						Tab3 = {
+							SplitCount = 2;
+						};
+						TabCount = 6;
 					};
 				},
@@ -175,14 +405,14 @@
 			PBXWorkspaceGeometries = (
 				{
-					ContentSize = "{352, 553}";
+					ContentSize = "{903, 569}";
 					LeftSlideOut = {
 						ActiveTab = 0;
-						Collapsed = YES;
-						Frame = "{{0, 23}, {352, 530}}";
+						Collapsed = NO;
+						Frame = "{{0, 23}, {903, 546}}";
 						Split0 = {
 							Collapsed = NO;
-							Frame = "{{1e+06, 1e+06}, {0, 530}}";
+							Frame = "{{284, 0}, {619, 546}}";
 							Split0 = {
-								Frame = "{{0, 0}, {0, 530}}";
+								Frame = "{{0, 0}, {619, 546}}";
 							};
 							SplitCount = 1;
@@ -190,20 +420,20 @@
 								Debugger = {
 									Collapsed = NO;
-									Frame = "{{0, 0}, {484, 208}}";
+									Frame = "{{0, 0}, {681, 289}}";
 									Split0 = {
-										Frame = "{{0, 24}, {484, 184}}";
+										Frame = "{{0, 24}, {681, 265}}";
 										Split0 = {
-											Frame = "{{0, 0}, {236, 184}}";
+											Frame = "{{0, 0}, {333, 265}}";
 										};
 										Split1 = {
 											DebugVariablesTableConfiguration = (
 												Name,
-												123,
+												82.80298,
 												Value,
-												85,
+												104.074,
 												Summary,
-												62.123,
+												126.123,
 											);
-											Frame = "{{245, 0}, {239, 184}}";
+											Frame = "{{342, 0}, {339, 265}}";
 										};
 										SplitCount = 2;
@@ -219,21 +449,21 @@
 									TabsVisible = YES;
 								};
-								Frame = "{{0, 0}, {484, 208}}";
+								Frame = "{{0, 0}, {681, 289}}";
 								LauncherConfigVersion = 7;
 							};
 							Tab1 = {
-								Frame = "{{0, 0}, {664, 208}}";
+								Frame = "{{0, 0}, {681, 120}}";
 								LauncherConfigVersion = 3;
 								Runner = {
-									Frame = "{{0, 0}, {664, 208}}";
+									Frame = "{{0, 0}, {681, 120}}";
 								};
 							};
 							Tab2 = {
-								BuildMessageFrame = "{{0, 0}, {666, 43}}";
-								BuildTranscriptFrame = "{{0, 52}, {666, 0}}";
-								Frame = "{{0, 0}, {664, 50}}";
+								BuildMessageFrame = "{{0, 0}, {683, 127}}";
+								BuildTranscriptFrame = "{{0, 136}, {683, 100}}";
+								Frame = "{{0, 0}, {681, 234}}";
 							};
 							Tab3 = {
-								Frame = "{{0, 0}, {612, 295}}";
+								Frame = "{{0, 0}, {681, 238}}";
 							};
 							TabCount = 4;
